<template>
  <div id="centerRight1">
    <div class="bg-color-black">
      <div class="d-flex pt-2 pl-2">
        <span>
          <icon name="chart-line" style="background-color: #c3cbde" class="text-icon"></icon>
        </span>
        <div class="d-flex">
          <span class="fs-xl text mx-2">最新工件过站节拍统计</span>
        </div>
      </div>
      <div class="d-flex jc-center body-box">
        <dv-scroll-board class="dv-scr-board" :config="config" />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      config: {
        header: ['工位', '节拍/秒'],
        data: [
          ['OP010', "156"],
          ['OP020', "255"],
          ['OP030', "465"],
          ['OP040', "244"],
          ['OP060', "100"],
          ['OP070', "355"],
          ['OP080', "252"],
          ['OP090', "65"],
          ['OP100', "98"],
          ['OP110', "244"],
          ['OP150', "566"],
          ['OP160', "145"],
          ['OP170', "152"],
          ['OP180', "180"],
          ['OP190', "100"],
          ['OP210', "211"],
          ['OP220', "152"],
          ['OP240', "186"],
        ],
        rowNum: 7, //表格行数
        headerHeight: 35,
        headerBGC: '#0f1325', //表头
        oddRowBGC: '#0f1325', //奇数行
        evenRowBGC: '#171c33', //偶数行
        index: true,
        columnWidth: [50],
        align: ['center']
      }
    }
  },
  mounted() {
    this.tops();
    this.changeTiming();
  },
  methods: {
    tops(){
      var that = this;
      this.$http.get('http://192.168.0.249:8083/productionOrdeInfo/largeScreenList1')
          .then((response)=>{
            that.config.data = response.data;
            that.config={...this.config}
          })
    },
    changeTiming() {
      setInterval(() => {
        this.tops();
      }, 60000)
    },
  }
}
</script>

<style lang="scss" scoped>
$box-height: 410px;
$box-width: 300px;
#centerRight1 {
  padding: 16px;
  padding-top: 20px;
  height: $box-height;
  width: $box-width;
  border-radius: 5px;
  .bg-color-black {
    height: $box-height - 30px;
    border-radius: 10px;
  }
  .text {
    color: #c3cbde;
    font-size: 16px;
    margin-top: -1px;
  }
  .body-box {
    border-radius: 10px;
    overflow: hidden;
    .dv-scr-board {
      width: 270px;
      height: 340px;
    }
  }
}
</style>
